Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225248 - Merge Review: ant
Summary: Merge Review: ant
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-29 21:01 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-21 18:11:50 UTC
jochen: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-29 21:01:14 UTC
Fedora Merge Review: ant

http://cvs.fedora.redhat.com/viewcvs/devel/ant/

Comment 2 Jochen Schmitt 2007-04-23 19:39:48 UTC
Good:
+ Naming seems ok.
+ Tar ball matches with upstream.
+ Mock build works fine for FC6 and rawhide.

Bad:
- BR coreutils is not be included.
- warning from rpmlint ant-manual:

rpmlint of ant-manual:
W: ant-manual dangling-symlink /usr/share/doc/ant-manual-1.6.5/manual/api
/usr/share/javadoc/ant-1.6.5
W: ant-manual symlink-should-be-relative
/usr/share/doc/ant-manual-1.6.5/manual/api /usr/share/javadoc/ant-1.6.5
W: ant-manual file-not-utf8
/usr/share/doc/ant-manual-1.6.5/manual/tutorial-tasks-filesets-properties.zip
- Errors/warnings on rpmlint ant:
E: ant devel-dependency java-devel
W: ant non-standard-group Development/Build Tools
W: ant incoherent-version-in-changelog 1.6.5-4jpp.2 0:1.6.5-4jpp.2.fc6
W: ant obsolete-not-provided ant-optional
W: ant obsolete-not-provided ant-optional-full
E: ant useless-explicit-provides ant






Comment 3 Permaine Cheung 2007-04-24 22:06:18 UTC
(In reply to comment #2)
> Good:
> + Naming seems ok.
> + Tar ball matches with upstream.
> + Mock build works fine for FC6 and rawhide.
> 
> Bad:
> - BR coreutils is not be included.
BR coreutils removed.
> - warning from rpmlint ant-manual:
> 
> rpmlint of ant-manual:
> W: ant-manual dangling-symlink /usr/share/doc/ant-manual-1.6.5/manual/api
> /usr/share/javadoc/ant-1.6.5
> W: ant-manual symlink-should-be-relative
> /usr/share/doc/ant-manual-1.6.5/manual/api /usr/share/javadoc/ant-1.6.5
These are needed so that different versions of docs can be installed on the same
machine. The symlink points to a macro, so it cannot be make relative.
> W: ant-manual file-not-utf8
> /usr/share/doc/ant-manual-1.6.5/manual/tutorial-tasks-filesets-properties.zip
This zip is taken directly from the source tar ball.

> - Errors/warnings on rpmlint ant:
> E: ant devel-dependency java-devel
ant needed java-devel to run some of its tasks.
> W: ant non-standard-group Development/Build Tools
The group warning is OK.
> W: ant incoherent-version-in-changelog 1.6.5-4jpp.2 0:1.6.5-4jpp.2.fc6
Fixed
> W: ant obsolete-not-provided ant-optional
> W: ant obsolete-not-provided ant-optional-full
I tried adding these Provides, but then the main package conflicts with the
sub-packages, so these were removed.
> E: ant useless-explicit-provides ant
That Provides: allows subpackages not in Fedora to be installed from JPackage.

Updates srpm and spec file at the same location.

Comment 4 Jochen Schmitt 2007-04-25 16:50:21 UTC
God:
+ BR fixed.
+ Rpmlint was OK (with warnings)

*** APPrOVED ***

Comment 5 Jochen Schmitt 2007-05-22 14:42:35 UTC
Please close this bug after building the package.


Note You need to log in before you can comment on or make changes to this bug.